package com.futu.course.course.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.futu.course.course.domain.Course;
import com.futu.course.course.service.CourseService;
import com.futu.course.course.mapper.CourseMapper;
import com.futu.course.course.vo.CourseVo;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.WeakHashMap;

/**
 * @author yuu
 * @description 针对表【course(课程表)】的数据库操作Service实现
 * @createDate 2025-05-05 18:45:13
 */
@Service
public class CourseServiceImpl extends ServiceImpl<CourseMapper, Course> implements CourseService {
/**
 * @title: CourseList
 * @desc:  数据分类
 * @params List<CourseVo>
 * @return: int categoryId
 * @author: 杨旭朋
 * @date: 2025/5/6 19:03
 */
    public List<CourseVo> CourseList(int categoryId) {
//        初始化数据
        List<CourseVo> courseVos = new ArrayList<>();
        for (Course course : this.list()) {
            CourseVo courseVo = new CourseVo();
            courseVo.setId(course.getId());
            courseVo.setCategoryId(course.getCategoryId());
            courseVo.setTitle(course.getTitle());
            courseVo.setCoverImg(course.getCoverImg());
            courseVo.setPrice(course.getPrice());
            courseVos.add(courseVo);
        }
//       分类查询
        if (categoryId != 0){
            List<CourseVo> coursevoList = new ArrayList<>();
            for (CourseVo courseVo : courseVos) {
                if (courseVo.getCategoryId()==categoryId){
                    coursevoList.add(courseVo);
                }
            }
            return coursevoList;
        }
        return courseVos;
    }
}




